
Ruby - Feature #6394

Support SO_ORIGINAL_DST socket option

05/02/2012 10:54 PM - rascov (Min-Cheng Chan)

Status: Rejected   

Priority: Normal   

Assignee: akr (Akira Tanaka)   

Target version:    

Description

In Linux, SO_ORIGINAL_DST provides the original packet destination, which is very useful when packet is translated by NAT.

In C, this information can be obtained by getsockopt(fd, SOL_IP, SO_ORIGINAL_DST, &remote, &remote_len);

However, current Ruby Socket class does not provide this option.

Please consider adding this option into Ruby.

By the way, I am still working on the patch file.

This option is named with SO_ prefix. However it is an IP layer option (SOL_IP).

ext/socket/mkconstants.rb seems to generate options according to the option prefix, which goes wrong in this case.

Related issues:

Has duplicate Ruby - Feature #14696: add optname SO_ORIGINAL_DST Rejected

History

#1 - 05/03/2012 02:13 PM - mame (Yusuke Endoh)

- Status changed from Open to Assigned

- Assignee set to akr (Akira Tanaka)

#2 - 11/20/2012 10:41 PM - mame (Yusuke Endoh)

- Target version set to 2.6

#3 - 12/25/2017 06:15 PM - naruse (Yui NARUSE)

- Target version deleted (2.6)

#4 - 04/19/2018 07:47 AM - akr (Akira Tanaka)

- Related to Feature #14696: add optname SO_ORIGINAL_DST added

#5 - 04/19/2018 07:48 AM - nobu (Nobuyoshi Nakada)

- Has duplicate Feature #14696: add optname SO_ORIGINAL_DST added

#6 - 04/19/2018 07:48 AM - nobu (Nobuyoshi Nakada)

- Related to deleted (Feature #14696: add optname SO_ORIGINAL_DST)

#7 - 04/19/2018 08:22 AM - matz (Yukihiro Matsumoto)

- Status changed from Assigned to Rejected

As #14696, we reject the proposal.
